> ## Documentation Index
> Fetch the complete documentation index at: https://developers.bottari.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 비동기 작업 읽기

> allow_async로 보낸 쓰기의 결과를 읽습니다.

`allow_async: true`로 보낸 쓰기의 결과를 읽습니다. 이 옵션을 받는 엔드포인트는 두 개이고, 모두 마크다운을 보낼 때만 받습니다.

* `markdown`을 보내는 [페이지 만들기](https://developers.bottari.ai/ko/api-reference/pages/create.md)
* [마크다운으로 본문 수정하기](https://developers.bottari.ai/ko/api-reference/pages/update-markdown.md)

이 요청은 접수되면 202와 작업을 반환합니다. 실패한 요청은 `allow_async` 없이 보냈을 때와 같이 바로 오류를 반환하고, 작업은 만들지 않습니다.

**Authorization** `string` *required*

`Bearer <토큰>` 형식입니다. [토큰 자세히 알아보기 →](https://developers.bottari.ai/ko/auth/tokens.md)

**Bottari-Version** `string`

선택 항목입니다. `2026-03-11`만 받습니다. 빼면 현재 버전을 사용하고, 다른 값을 보내면 400을 반환합니다.

**id** `string` *required*

202 응답의 작업 ID입니다.

**object** `string`

항상 `async_task`입니다.

**id** `string`

작업 ID입니다.

**status** `string`

202 응답에서는 `queued`이고, 여기서는 `succeeded`입니다.

**status\_url** `string`

이 작업을 읽는 이 엔드포인트의 주소입니다.

**created\_time** `string`

작업을 만든 시각입니다.

**poll\_after\_seconds** `number`

202 응답에만 있습니다. 읽기 전에 기다릴 시간입니다.

**operation** `object`

`surface`는 `rest`이고, `name`은 요청입니다. 예: `POST /v1/pages`

**result** `object`

`POST /v1/pages`는 `page` 객체이고, 마크다운 수정은 `page_markdown` 객체입니다. 이 엔드포인트를 호출할 때 읽으므로 현재 상태를 보여 줍니다.

## 오류

| 상태 | `code` | 원인 |
| - | - | - |
| 404 | `object_not_found` | 작업 ID가 틀렸거나, 연동이 더 이상 그 문서를 읽을 수 없습니다. |

공통 오류는 [공통 규칙](https://developers.bottari.ai/ko/api-reference/overview.md#오류)에서 확인할 수 있습니다.

```bash curl theme={null}
curl https://api.bottari.ai/v1/async_tasks/task_exampleTask1 \
  -H "Authorization: Bearer $BOTTARI_TOKEN" \
  -H "Bottari-Version: 2026-03-11"
```

```json 200 theme={null}
{
  "object": "async_task",
  "id": "task_exampleTask1",
  "status": "succeeded",
  "status_url": "https://api.bottari.ai/v1/async_tasks/task_exampleTask1",
  "created_time": "2026-01-15T03:10:12.345Z",
  "operation": {
    "surface": "rest",
    "name": "PATCH /v1/pages/:page_id/markdown"
  },
  "result": {
    "object": "page_markdown",
    "id": "exampleRow01",
    "markdown": "allow_async로 추가했습니다.",
    "truncated": false,
    "unknown_block_ids": []
  },
  "request_id": "33333333-3333-4333-8333-333333333333"
}
```

```json 202 theme={null}
{
  "object": "async_task",
  "id": "task_exampleTask1",
  "status": "queued",
  "status_url": "https://api.bottari.ai/v1/async_tasks/task_exampleTask1",
  "created_time": "2026-01-15T03:10:12.345Z",
  "poll_after_seconds": 2,
  "operation": {
    "surface": "rest",
    "name": "PATCH /v1/pages/:page_id/markdown"
  },
  "request_id": "33333333-3333-4333-8333-333333333333"
}
```

```json 404 theme={null}
{
  "object": "error",
  "status": 404,
  "code": "object_not_found",
  "message": "Could not find async_task with ID: task_exampleTask1. Make sure the relevant pages and databases are shared with your integration \"주문 동기화\".",
  "request_id": "33333333-3333-4333-8333-333333333333"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.